### Hierarchy

- IsBtcConstraint

### Implements

- ValidatorConstraintInterface

## Index

### Methods

- defaultMessage
- validate

## Methods

### defaultMessage

- defaultMessage(validationArguments?: ValidationArguments): string

- - Defined in utils/types/validators/annotations/IsBtcAddress.ts:15

  #### Parameters

  - ##### Optional validationArguments: ValidationArguments

  #### Returns string

### validate

- validate(value: string, validationArguments?: ValidationArguments): Promise<boolean> | boolean

- - Defined in utils/types/validators/annotations/IsBtcAddress.ts:19

  #### Parameters

  - ##### value: string

  - ##### Optional validationArguments: ValidationArguments

  #### Returns Promise<boolean> | boolean

Generated using TypeDoc